[logging]
 default = FILE:/var/log/krb5libs.log
 kdc = FILE:/var/log/krb5kdc.log
 admin_server = FILE:/var/log/kadmind.log

[libdefaults]
 ticket_lifetime = 30d
 renew_lifetime = 30d
 default_realm = CIT.CORNELL.EDU
 dns_lookup_realm = false
 dns_lookup_kdc = false
 forwardable = true
 renewable = true
 allow_weak_crypto=true


[realms]
 CIT.CORNELL.EDU = {
  kdc = kerberos.cit.cornell.edu:88
  kdc = kerberos2.cit.cornell.edu:88
  admin_server = kerberos.cit.cornell.edu:749
  default_domain = cit.cornell.edu
 }

MSC.CORNELL.EDU = {
        kdc = miranda.ccmr.cornell.edu:88
        kdc = dax.ccmr.cornell.edu:88
        kdc = co.ccmr.cornell.edu:88
        admin_server = miranda.ccmr.cornell.edu:749
        default_domain = ccmr.cornell.edu

        v4_instance_convert = {
                krbtgt = MSC.CORNELL.EDU
        }


 }

CNF.CORNELL.EDU = {
        kdc = hole.cnf.cornell.edu:88
        kdc = smoke.cnf.cornell.edu:88
        kdc = mist.cnf.cornell.edu:88
        admin_server = hole.cnf.cornell.edu:749
        default_domain = cnf.cornell.edu

        v4_instance_convert = {
                krbtgt = CNF.CORNELL.EDU
        }


 }

AD.CNF.CORNELL.EDU = {
        kdc = cnfs1.ad.cnf.cornell.edu:88
        kdc = cnfs2.ad.cnf.cornell.edu:88
        default_domain = ad.cnf.cornell.edu

        v4_instance_convert = {
                krbtgt = AD.CNF.CORNELL.EDU
        }


 }

GUEST.CORNELL.EDU = {
	kdc = obsidian1.cit.cornell.edu:88
        kdc = obsidian2.cit.cornell.edu:88
	admin_server = obsidian1.cit.cornell.edu
	default_domain = guest.cornell.edu
}

GUESTX.CORNELL.EDU = {
	kdc = jade.cit.cornell.edu:88
	admin_server = jade.cit.cornell.edu
	default_domain = guestx.cornell.edu
}

[domain_realm]
 .cit.cornell.edu = CIT.CORNELL.EDU
 cit.cornell.edu = CIT.CORNELL.EDU
 .mail.cornell.edu = CIT.CORNELL.EDU
 mail.cornell.edu = CIT.CORNELL.EDU

 .msc.cornell.edu = MSC.CORNELL.EDU
 msc.cornell.edu = MSC.CORNELL.EDU
 .lassp.cornell.edu = MSC.CORNELL.EDU
 lassp.cornell.edu = MSC.CORNELL.EDU
 .ccmr.cornell.edu = MSC.CORNELL.EDU
 ccmr.cornell.edu = MSC.CORNELL.EDU
 .cnf.cornell.edu = CNF.CORNELL.EDU
 cnf.cornell.edu = CNF.CORNELL.EDU

 .ad.ccmr.cornell.edu = AD.CCMR.CORNELL.EDU
 ad.ccmr.cornell.edu = AD.CCMR.CORNELL.EDU

 .ad.cnf.cornell.edu = AD.CNF.CORNELL.EDU
 ad.cnf.cornell.edu = AD.CNF.CORNELL.EDU

[kdc]
 profile = /var/kerberos/krb5kdc/kdc.conf

[appdefaults]
 afs_krb5 = {
   MSC.CORNELL.EDU = {
        afs/MSC.CORNELL.EDU = false
        afs = false
   }
}

